package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.item.weapons.Weapon;

public class Skeleton extends Enemy
{
    public Skeleton(int hp, int mp) { super(10, 10); }

    @Override
    public void specialAbility(Entity target)
    {
        if(getMp() >= 4)
        {
            super.specialAbility(target);
            target.takeDamage(0);
            this.setMp(this.getMp() - 4);
            this.setHp(10);
            System.out.println("Skeleton is regenerating its bones !");
        }
    }
}